Summary: A GNU utility for monitoring a program's use of system resources
Name: time
Version: 1.8
Release: 1
License: GPLv2+
Group: Applications/System
Url: http://www.gnu.org/software/time/
Source0: ftp://ftp.gnu.org/pub/gnu/%{name}/%{name}-%{version}.tar.gz
Source1: ftp://ftp.gnu.org/pub/gnu/%{name}/%{name}-%{version}.tar.gz.sig
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

%description
The GNU time utility runs another program, collects information about
the resources used by that program while it is running, and displays
the results.


%prep
%setup -q


%build
./configure \
    --prefix=%{_prefix} \
    --infodir=%{_infodir}

make %{?_smp_mflags}


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}
make DESTDIR=${RPM_BUILD_ROOT} install

/usr/bin/strip ${RPM_BUILD_ROOT}%{_bindir}/* || :

gzip -9 ${RPM_BUILD_ROOT}%{_infodir}/*.info
# remove info index, we update it in %%post script
rm -f ${RPM_BUILD_ROOT}%{_infodir}/dir

cd ${RPM_BUILD_ROOT}
mkdir -p usr/linux/bin
cd usr/linux/bin
ln -sf ../../..%{_bindir}/* .


%post
/sbin/install-info %{_infodir}/%{name}.info.gz %{_infodir}/dir \
    --entry="* time: (time).        GNU time Utility" >/dev/null 2>&1 || :

%preun
if [ "$1" = 0 ]; then
    /sbin/install-info --delete %{_infodir}/%{name}.info.gz %{_infodir}/dir \
    --entry="* time: (time).        GNU time Utility" >/dev/null 2>&1 || :
fi


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system)
%doc AUTHORS ChangeLog NEWS README COPYING
%{_bindir}/*
%{_infodir}/*
/usr/linux/bin/*


%changelog
* Wed Nov 08 2017 Michael Perzl <michael@perzl.org> - 1.8-1
- first version for AIX V5.1 and higher
